com.buschmais.jqassistant.plugin.maven3.api.model

## Interface BaseProfileDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor
  All Known Subinterfaces:
    MavenPomXmlDescriptor, MavenProfileDescriptor

      public interface BaseProfileDescriptor
      extends com.buschmais.jqassistant.core.store.api.model.Descriptor

  Base descriptor for pom an profile.
  Author:
    ronald.kunzmann@buschmais.com

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MavenPluginDescriptor>` | `getManagedPlugins()` Get default plugin information to be made available for reference by projects derived from this one.
    `List<MavenModuleDescriptor>` | `getModules()` Get sub modules.
    `List<MavenPluginDescriptor>` | `getPlugins()` Get plugin information.
    `List<com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor>` | `getProperties()` Get defined properties.

- - ### Method Detail

    - #### getModules

          @Relation(value="HAS_MODULE")
          List<MavenModuleDescriptor> getModules()

      Get sub modules.
      Returns:
        The sub modules.

    - #### getProperties

          @Relation(value="HAS_PROPERTY")
          List<com.buschmais.jqassistant.plugin.common.api.model.PropertyDescriptor> getProperties()

      Get defined properties.
      Returns:
        The properties.

    - #### getPlugins

          @Relation(value="USES_PLUGIN")
          List<MavenPluginDescriptor> getPlugins()

      Get plugin information.
      Returns:
        The plugins.

    - #### getManagedPlugins

          @Relation(value="MANAGES_PLUGIN")
          List<MavenPluginDescriptor> getManagedPlugins()

      Get default plugin information to be made available for reference by projects derived from this one. This plugin configuration will not be resolved or bound to the lifecycle unless referenced. Any local configuration for a given plugin will override the plugin's entire definition here.
      Returns:
        The managed plugins.

Copyright © 2015 buschmais GbR. All rights reserved.